[MultiHighlight]
Syntax=
File=
ASPLanguage=

[UserMenu]
1=__FILE__|__FILE__+-
2=__LINE__|__LINE__+-
3=alias|alias+-
4=begin|begin+-
5=break|break+-
6=case|case+-
7=class|class+-
8=defined?|defined?+-
9=else|else+-
10=elsif|elsif+-
11=ensure|ensure+-
12=false|false+-
13=module|module+-
14=next|next+-
15=quit|quit+-
16=redo|redo+-
17=rescue|rescue+-
18=retry|retry+-
19=return|return+-
20=self|self+-
21=super|super+-
22=then|then+-
23=true|true+-
24=undef|undef+-
25=unless|unless+-
26=until|until+-
27=when|when+-
28=while|while+-
29=yield|yield+-
30=BEGIN|BEGIN+-
31=ArgumentError|ArgumentError+-
32=Array|Array+-
33=Bignum|Bignum+-
34=Binding|Binding+-
35=Class|Class+-
36=Complex|Complex+-
37=ConditionVariable|ConditionVariable+-
38=Continuation|Continuation+-
39=DelegateClass|DelegateClass+-
40=English|English+-
41=EOFError|EOFError+-
42=Errno::ENOENT|Errno::ENOENT+-
43=Errno::EPERM|Errno::EPERM+-
44=Exception|Exception+-
45=FalseClass|FalseClass+-
46=Fatal|Fatal+-
47=File|File+-
48=File::Stat|File::Stat+-
49=Fixnum|Fixnum+-
50=Float|Float+-
51=FloatDomainError|FloatDomainError+-
52=GetoptLong|GetoptLong+-
53=Hash|Hash+-
54=IndexError|IndexError+-
55=Integer|Integer+-
56=Interrupt|Interrupt+-
57=IOError|IOError+-
58=LoadError|LoadError+-
59=LocalJumpError|LocalJumpError+-
60=MatchData|MatchData+-
61=Method|Method+-
62=Module|Module+-
63=Mutex|Mutex+-
64=NameError|NameError+-
65=NilClass|NilClass+-
66=NoMemoryError|NoMemoryError+-
67=NotImplementedError|NotImplementedError+-
68=Numeric|Numeric+-
69=Object|Object+-
70=Proc|Proc+-
71=Pstore|Pstore+-
72=Range|Range+-
73=RangeError|RangeError+-
74=Regexp|Regexp+-
75=RegexpError|RegexpError+-
76=RuntimeError|RuntimeError+-
77=ScriptError|ScriptError+-
78=SecurityError|SecurityError+-
79=SimpleDelegator|SimpleDelegator+-
80=Singleton|Singleton+-
81=StandardError|StandardError+-
82=String|String+-
83=Struct|Struct+-
84=Struct::Tms|Struct::Tms+-
85=Symbol|Symbol+-
86=SyntaxError|SyntaxError+-
87=SystemCallError|SystemCallError+-
88=SystemExit|SystemExit+-
89=SystemStackError|SystemStackError+-
90=Tempfile|Tempfile+-
91=Thread|Thread+-
92=ThreadGroup|ThreadGroup+-
93=Time|Time+-
94=TrueClass|TrueClass+-
95=TypeError|TypeError+-
96=WeakRef|WeakRef+-
97=ZeroDivisionError|ZeroDivisionError+-
98=mkmf|mkmf+-
99=win32api|win32api+-
100=win32ole|win32ole+-
101=BasicSocket|BasicSocket+-
102=Benchmark|Benchmark+-
103=Comparable|Comparable+-
104=Config|Config+-
105=CONFIG|CONFIG+-
106=DATA|DATA+-
107=Date|Date+-
108=Enumerable|Enumerable+-
109=Errno|Errno+-
110=FALSE|FALSE+-
111=FileTest|FileTest+-
112=Find|Find+-
113=HTTP|HTTP+-
114=HTTPResponse|HTTPResponse+-
115=IPSocket|IPSocket+-
116=Kernel|Kernel+-
117=Marshal|Marshal+-
118=Math|Math+-
119=Net::FTP|Net::FTP+-
120=Net::HTTP|Net::HTTP+-
121=Net::HTTPResponse|Net::HTTPResponse+-
122=Net::POP|Net::POP+-
123=Net::APOP|Net::APOP+-
124=Net::POPMail|Net::POPMail+-
125=Net::SMTP|Net::SMTP+-
126=Net::Telnet|Net::Telnet+-
127=ObjectSpace|ObjectSpace+-
128=Observable|Observable+-
129=ParseDate|ParseDate+-
130=POPMail|POPMail+-
131=Process|Process+-
132=Session|Session+-
133=SMTP|SMTP+-
134=Socket|Socket+-
135=SOCKSSocket|SOCKSSocket+-
136=Stat|Stat+-
137=STDERR|STDERR+-
138=STDIN|STDIN+-
139=STDOUT|STDOUT+-
140=TCPServer|TCPServer+-
141=TCPSocket|TCPSocket+-
142=Telnet|Telnet+-
143=TOPLEVEL_BINDING|TOPLEVEL_BINDING+-
144=TRUE|TRUE+-
145=UDPSocket|UDPSocket+-
146=UNIXServer|UNIXServer+-
147=UNIXSocket|UNIXSocket+-
148=Win32API|Win32API+-
149=WIN32OLE|WIN32OLE+-
150=WIN32OLE_EVENT|WIN32OLE_EVENT+-
151=cutime|cutime+-
152=cstime|cstime+-
153=domain|domain+-
154=expires|expires+-
155=secure|secure+-
156=stime|stime+-
157=AF_APPLETALK|AF_APPLETALK+-
158=AF_AX25|AF_AX25+-
159=AF_INET6|AF_INET6+-
160=AF_INET|AF_INET+-
161=AF_IPX|AF_IPX+-
162=AF_UNIX|AF_UNIX+-
163=AF_UNSPEC|AF_UNSPEC+-
164=AI_ALL|AI_ALL+-
165=AI_CANONNAME|AI_CANONNAME+-
166=AI_MASK|AI_MASK+-
167=AI_NUMERICHOST|AI_NUMERICHOST+-
168=AI_PASSIVE|AI_PASSIVE+-
169=AI_V4MAPPED_CFG|AI_V4MAPPED_CFG+-
170=ARGF|ARGF+-
171=ARGV|ARGV+-
172=Complex::I|Complex::I+-
173=Default|Default+-
174=EXTENDED|EXTENDED+-
175=EAI_ADDRFAMILY|EAI_ADDRFAMILY+-
176=EAI_AGAIN|EAI_AGAIN+-
177=EAI_BADFLAGS|EAI_BADFLAGS+-
178=EAI_BADHINTS|EAI_BADHINTS+-
179=EAI_FAIL|EAI_FAIL+-
180=EAI_FAMILY|EAI_FAMILY+-
181=EAI_MAX|EAI_MAX+-
182=EAI_MEMORY|EAI_MEMORY+-
183=EAI_NODATA|EAI_NODATA+-
184=EAI_NONAME|EAI_NONAME+-
185=EAI_PROTOCOL|EAI_PROTOCOL+-
186=EAI_SERVICE|EAI_SERVICE+-
187=EAI_SOCKTYPE|EAI_SOCKTYPE+-
188=EAI_SYSTEM|EAI_SYSTEM+-
189=FTP_PORT|FTP_PORT+-
190=IGNORECASE|IGNORECASE+-
191=IP_ADD_MEMBERSHIP|IP_ADD_MEMBERSHIP+-
192=IP_DEFAULT_MULTICAST_LOOP|IP_DEFAULT_MULTICAST_LOOP+-
193=IP_DEFAULT_MULTICAST_TTL|IP_DEFAULT_MULTICAST_TTL+-
194=IP_MAX_MEMBERSHIPS|IP_MAX_MEMBERSHIPS+-
195=IP_MULTICAST_IF|IP_MULTICAST_IF+-
196=IP_MULTICAST_LOOP|IP_MULTICAST_LOOP+-
197=IP_MULTICAST_TTL|IP_MULTICAST_TTL+-
198=LOOKUP_INET6|LOOKUP_INET6+-
199=LOOKUP_INET|LOOKUP_INET+-
200=LOOKUP_UNSPEC|LOOKUP_UNSPEC+-
201=MSG_DONTROUTE|MSG_DONTROUTE+-
202=MSG_OOB|MSG_OOB+-
203=MSG_PEEK|MSG_PEEK+-
204=MULTILINE|MULTILINE+-
205=PF_APPLETALK|PF_APPLETALK+-
206=PF_AX25|PF_AX25+-
207=PF_INET6|PF_INET6+-
208=PF_INET|PF_INET+-
209=PF_IPX|PF_IPX+-
210=PF_UNIX|PF_UNIX+-
211=PF_UNSPEC|PF_UNSPEC+-
212=PLATFORM|PLATFORM+-
213=PRIO_PGRP|PRIO_PGRP+-
214=PRIO_PROCESS|PRIO_PROCESS+-
215=PRIO_USER|PRIO_USER+-
216=RUBY_PLATFORM|RUBY_PLATFORM+-
217=RUBY_RELEASE_DATE|RUBY_RELEASE_DATE+-
218=RUBY_VERSION|RUBY_VERSION+-
219=SOCK_DGRAM|SOCK_DGRAM+-
220=SOCK_PACKET|SOCK_PACKET+-
221=SOCK_RAW|SOCK_RAW+-
222=SOCK_RDM|SOCK_RDM+-
223=SOCK_SEQPACKET|SOCK_SEQPACKET+-
224=SOCK_STREAM|SOCK_STREAM+-
225=SOL_ATALK|SOL_ATALK+-
226=SOL_AX25|SOL_AX25+-
227=SOL_IPX|SOL_IPX+-
228=SOL_IP|SOL_IP+-
229=SOL_SOCKET|SOL_SOCKET+-
230=SOL_TCP|SOL_TCP+-
231=SOL_UDP|SOL_UDP+-
232=SOPRI_BACKGROUND|SOPRI_BACKGROUND+-
233=SOPRI_INTERACTIVE|SOPRI_INTERACTIVE+-
234=SOPRI_NORMAL|SOPRI_NORMAL+-
235=SO_BROADCAST|SO_BROADCAST+-
236=SO_DEBUG|SO_DEBUG+-
237=SO_DONTROUTE|SO_DONTROUTE+-
238=SO_ERROR|SO_ERROR+-
239=SO_KEEPALIVE|SO_KEEPALIVE+-
240=SO_LINGER|SO_LINGER+-
241=SO_NO_CHECK|SO_NO_CHECK+-
242=SO_OOBINLINE|SO_OOBINLINE+-
243=SO_PRIORITY|SO_PRIORITY+-
244=SO_RCVBUF|SO_RCVBUF+-
245=SO_REUSEADDR|SO_REUSEADDR+-
246=SO_SNDBUF|SO_SNDBUF+-
247=SO_TYPE|SO_TYPE+-
248=TCP_MAXSEG|TCP_MAXSEG+-
249=TCP_NODELAY|TCP_NODELAY+-
250=WIN32OLE::VERSION|WIN32OLE::VERSION+-
251=WNOHANG|WNOHANG+-
252=WUNTRACED|WUNTRACED+-
253=_id2ref|_id2ref+-
254=__id__|__id__+-
255=__send__|__send__+-
256=abort|abort+-
257=abort_on_exception|abort_on_exception+-
258=abort_on_exception!|abort_on_exception!+-
259=abs2|abs2+-
260=alias_method|alias_method+-
261=alive?|alive?+-
262=ancestors|ancestors+-
263=append_features|append_features+-
264=arity|arity+-
265=asctime|asctime+-
266=assoc|assoc+-
267=atan2|atan2+-
268=atime|atime+-
269=attr|attr+-
270=attr_accessor|attr_accessor+-
271=attr_reader|attr_reader+-
272=attr_writer|attr_writer+-
273=at_exit|at_exit+-
274=autoload|autoload+-
275=backtrace|backtrace+-
276=basename|basename+-
277=between?|between?+-
278=binding|binding+-
279=binmode|binmode+-
280=blksize|blksize+-
281=blockdev?|blockdev?+-
282=block_given?|block_given?+-
283=blocks|blocks+-
284=broadcast|broadcast+-
285=call|call+-
286=callcc|callcc+-
287=caller|caller+-
288=capitalize|capitalize+-
289=capitalize!|capitalize!+-
290=casefold?|casefold?+-
291=catch|catch+-
292=ceil|ceil+-
293=center|center+-
294=chomp|chomp+-
295=chomp!|chomp!+-
296=chop|chop+-
297=chop!|chop!+-
298=chardev?|chardev?+-
299=chdir|chdir+-
300=chmod|chmod+-
301=chown|chown+-
302=chroot|chroot+-
303=class_eval|class_eval+-
304=class_variables|class_variables+-
305=clear|clear+-
306=clone|clone+-
307=close|close+-
308=closed?|closed?+-
309=close_read|close_read+-
310=close_write|close_write+-
311=coerce|coerce+-
312=collect|collect+-
313=collect!|collect!+-
314=compact|compact+-
315=compact!|compact!+-
316=compare|compare+-
317=compile|compile+-
318=concat|concat+-
319=conjugate|conjugate+-
320=const_defined?|const_defined?+-
321=const_get|const_get+-
322=const_set|const_set+-
323=constants|constants+-
324=copy|copy+-
325=count|count+-
326=create_makefile|create_makefile+-
327=critical|critical+-
328=critical=|critical=+-
329=crypt|crypt+-
330=ctime|ctime+-
331=current|current+-
332=default|default+-
333=default=|default=+-
334=define_finalizer|define_finalizer+-
335=delete|delete+-
336=delete!|delete!+-
337=delete_at|delete_at+-
338=delete_if|delete_if+-
339=detect|detect+-
340=directory?|directory?+-
341=dirname|dirname+-
342=dir_config|dir_config+-
343=disable|disable+-
344=display|display+-
345=divmod|divmod+-
346=downcase|downcase+-
347=downcase!|downcase!+-
348=downto|downto+-
349=dump|dump+-
350=each|each+-
351=each_byte|each_byte+-
352=each_index|each_index+-
353=each_key|each_key+-
354=each_line|each_line+-
355=each_object|each_object+-
356=each_pair|each_pair+-
357=each_with_index|each_with_index+-
358=egid|egid+-
359=egid=|egid=+-
360=empty?|empty?+-
361=enable|enable+-
362=england|england+-
363=entries|entries+-
364=eof?|eof?+-
365=eql?|eql?+-
366=equal?|equal?+-
367=error?|error?+-
368=error_message|error_message+-
369=escape|escape+-
370=euid|euid+-
371=euid=|euid=+-
372=eval|eval+-
373=exception|exception+-
374=exclude_end?|exclude_end?+-
375=exec|exec+-
376=executable?|executable?+-
377=executable_real?|executable_real?+-
378=exist?|exist?+-
379=exist2?|exist2?+-
380=existw?|existw?+-
381=exit|exit+-
382=exit!|exit!+-
383=expand_path|expand_path+-
384=extend|extend+-
385=extend_object|extend_object+-
386=fail|fail+-
387=fcntl|fcntl+-
388=fetch|fetch+-
389=file?|file?+-
390=fileno|fileno+-
391=fill|fill+-
392=find|find+-
393=find_all|find_all+-
394=find_library|find_library+-
395=finite?|finite?+-
396=first|first+-
397=flatten|flatten+-
398=flatten!|flatten!+-
399=flock|flock+-
400=flush|flush+-
401=foreach|foreach+-
402=fork|fork+-
403=format|format+-
404=freeze|freeze+-
405=frexp|frexp+-
406=frozen?|frozen?+-
407=ftype|ftype+-
408=garbage_collect|garbage_collect+-
409=getc|getc+-
410=getogrp|getogrp+-
411=getpriority|getpriority+-
412=gets|gets+-
413=getwd|getwd+-
414=get_option|get_option+-
415=gid=|gid=+-
416=glob|glob+-
417=global_variables|global_variables+-
418=gmt?|gmt?+-
419=gmtime|gmtime+-
420=gregorian|gregorian+-
421=gregorian_leap?|gregorian_leap?+-
422=grep|grep+-
423=grpowned?|grpowned?+-
424=gsub|gsub+-
425=gsub!|gsub!+-
426=has_key?|has_key?+-
427=has_value?|has_value?+-
428=hash|hash+-
429=have_func|have_func+-
430=have_header|have_header+-
431=have_library|have_library+-
432=hour|hour+-
433=id2name|id2name+-
434=image|image+-
435=include|include+-
436=include?|include?+-
437=included_modules|included_modules+-
438=index|index+-
439=indexes|indexes+-
440=indices|indices+-
441=inherited|inherited+-
442=initialize|initialize+-
443=integer?|integer?+-
444=iterator?|iterator?+-
445=intern|intern+-
446=inspect|inspect+-
447=install|install+-
448=instance_eval|instance_eval+-
449=instance_methods|instance_methods+-
450=instance_of?|instance_of?+-
451=instance_variables|instance_variables+-
452=ioctl|ioctl+-
453=is_a?|is_a?+-
454=isatty|isatty+-
455=isdst|isdst+-
456=italy|italy+-
457=join|join+-
458=julian|julian+-
459=julian_leap?|julian_leap?+-
460=kcode|kcode+-
461=key?|key?+-
462=keys|keys+-
463=kill|kill+-
464=kind_of?|kind_of?+-
465=lambda|lambda+-
466=last|last+-
467=last_match|last_match+-
468=ldexp|ldexp+-
469=leap?|leap?+-
470=length|length+-
471=lineno|lineno+-
472=lineno=|lineno=+-
473=link|link+-
474=list|list+-
475=ljust|ljust+-
476=load|load+-
477=local|local+-
478=local_variables|local_variables+-
479=localtime|localtime+-
480=lock|lock+-
481=locked?|locked?+-
482=log10|log10+-
483=loop|loop+-
484=lstat|lstat+-
485=main|main+-
486=makedirs|makedirs+-
487=makepath|makepath+-
488=map!|map!+-
489=match|match+-
490=mday|mday+-
491=member?|member?+-
492=members|members+-
493=message|message+-
494=method|method+-
495=method_added|method_added+-
496=method_defined?|method_defined?+-
497=method_missing|method_missing+-
498=methods|methods+-
499=mkdir|mkdir+-
500=mktime|mktime+-
501=mode|mode+-
502=module_eval|module_eval+-
503=module_function|module_function+-
504=modulo|modulo+-
505=month|month+-
506=move|move+-
507=mtime|mtime+-
508=name|name+-
509=nan?|nan?+-
510=nesting|nesting+-
511=new1|new1+-
512=new2|new2+-
513=new3|new3+-
514=newsg|newsg+-
515=neww|neww+-
516=next!|next!+-
517=nil?|nil?+-
518=nitems|nitems+-
519=nlink|nlink+-
520=nonzero?|nonzero?+-
521=open|open+-
522=ordering|ordering+-
523=ordering=|ordering=+-
524=owned?|owned?+-
525=pack|pack+-
526=parsedate|parsedate+-
527=pass|pass+-
528=path|path+-
529=pipe|pipe+-
530=pipe?|pipe?+-
531=polar|polar+-
532=popen|popen+-
533=pos=|pos=+-
534=ppid|ppid+-
535=print|print+-
536=printf|printf+-
537=priority|priority+-
538=priority=|priority=+-
539=private|private+-
540=private_methods|private_methods+-
541=proc|proc+-
542=protected|protected+-
543=protected_methods|protected_methods+-
544=prune|prune+-
545=public_methods|public_methods+-
546=private_class_method|private_class_method+-
547=private_instance_methods|private_instance_methods+-
548=protected_instance_methods|protected_instance_methods+-
549=public_class_method|public_class_method+-
550=public_instance_methods|public_instance_methods+-
551=public|public+-
552=push|push+-
553=putc|putc+-
554=puts|puts+-
555=quiet|quiet+-
556=quiet=|quiet=+-
557=quiet?|quiet?+-
558=quote|quote+-
559=raise|raise+-
560=rand|rand+-
561=rassoc|rassoc+-
562=reject!|reject!+-
563=read|read+-
564=readable?|readable?+-
565=readable_real?|readable_real?+-
566=readchar|readchar+-
567=readline|readline+-
568=readlines|readlines+-
569=readlink|readlink+-
570=real|real+-
571=rehash|rehash+-
572=reject|reject+-
573=remainder|remainder+-
574=remove_const|remove_const+-
575=remove_method|remove_method+-
576=rename|rename+-
577=reopen|reopen+-
578=replace|replace+-
579=require|require+-
580=respond_to?|respond_to?+-
581=restore|restore+-
582=reverse|reverse+-
583=reverse!|reverse!+-
584=reverse_each|reverse_each+-
585=rewind|rewind+-
586=rdev|rdev+-
587=rindex|rindex+-
588=rjust|rjust+-
589=rmdir|rmdir+-
590=rm_f|rm_f+-
591=round|round+-
592=safe_level|safe_level+-
593=safe_unlink|safe_unlink+-
594=scan|scan+-
595=seek|seek+-
596=select|select+-
597=send|send+-
598=setgid?|setgid?+-
599=setpgid|setpgid+-
600=setpgrp|setpgrp+-
601=setpriority|setpriority+-
602=setsid|setsid+-
603=setuid?|setuid?+-
604=set_backtrace|set_backtrace+-
605=set_options|set_options+-
606=set_trace_func|set_trace_func+-
607=shift|shift+-
608=signal|signal+-
609=singleton_methods|singleton_methods+-
610=singleton_method_added|singleton_method_added+-
611=size|size+-
612=size?|size?+-
613=sleep|sleep+-
614=slice|slice+-
615=slice!|slice!+-
616=socket?|socket?+-
617=sort|sort+-
618=sort!|sort!+-
619=source|source+-
620=split|split+-
621=sprintf|sprintf+-
622=squeeze|squeeze+-
623=squeeze!|squeeze!+-
624=sqrt|sqrt+-
625=srand|srand+-
626=start|start+-
627=stat|stat+-
628=status|status+-
629=step|step+-
630=sticky?|sticky?+-
631=stop|stop+-
632=stop?|stop?+-
633=store|store+-
634=strftime|strftime+-
635=strip|strip+-
636=strip!|strip!+-
637=sub!|sub!+-
638=succ|succ+-
639=succ!|succ!+-
640=superclass|superclass+-
641=symlink|symlink+-
642=symlink?|symlink?+-
643=sync|sync+-
644=synchronize|synchronize+-
645=sync=|sync=+-
646=syscall|syscall+-
647=syscopy|syscopy+-
648=sysread|sysread+-
649=system|system+-
650=syswrite|syswrite+-
651=swapcase|swapcase+-
652=swapcase!|swapcase!+-
653=taint|taint+-
654=tainted?|tainted?+-
655=tell|tell+-
656=terminate|terminate+-
657=test|test+-
658=throw|throw+-
659=timeout|timeout+-
660=times|times+-
661=today|today+-
662=to_a|to_a+-
663=to_ary|to_ary+-
664=to_f|to_f+-
665=to_i|to_i+-
666=to_io|to_io+-
667=to_proc|to_proc+-
668=to_r|to_r+-
669=to_s|to_s+-
670=to_str|to_str+-
671=trace_var|trace_var+-
672=trap|trap+-
673=try_lock|try_lock+-
674=tr_s|tr_s+-
675=tr_s!|tr_s!+-
676=truncate|truncate+-
677=tty?|tty?+-
678=tv_sec|tv_sec+-
679=tv_usec|tv_usec+-
680=type|type+-
681=uid=|uid=+-
682=umask|umask+-
683=undef_method|undef_method+-
684=ungetc|ungetc+-
685=uniq|uniq+-
686=uniq!|uniq!+-
687=unlink|unlink+-
688=unlock|unlock+-
689=unpack|unpack+-
690=unshift|unshift+-
691=untaint|untaint+-
692=untrace_var|untrace_var+-
693=upcase|upcase+-
694=upcase!|upcase!+-
695=update|update+-
696=upto|upto+-
697=usec|usec+-
698=utc?|utc?+-
699=utime|utime+-
700=value?|value?+-
701=values|values+-
702=wait|wait+-
703=wait2|wait2+-
704=waitpid|waitpid+-
705=waitpid2|waitpid2+-
706=wakeup|wakeup+-
707=wday|wday+-
708=weakref_alive?|weakref_alive?+-
709=write|write+-
710=writable?|writable?+-
711=writable_real?|writable_real?+-
712=yday|yday+-
713=year|year+-
714=zero?|zero?+-
715=zone|zone+-
716=Comparisons|Comparisons+-
717=accept|accept+-
718=addr|addr+-
719=add_observer|add_observer+-
720=base|base+-
721=bind|bind+-
722=binmode=|binmode=+-
723=blockquote|blockquote+-
724=caption|caption+-
725=changed|changed+-
726=changed?|changed?+-
727=checkbox|checkbox+-
728=checkbox_group|checkbox_group+-
729=code|code+-
730=const_load|const_load+-
731=content_type|content_type+-
732=cookies|cookies+-
733=connect|connect+-
734=count_observers|count_observers+-
735=debug_mode|debug_mode+-
736=debug_mode=|debug_mode=+-
737=delete_observer|delete_observer+-
738=delete_observers|delete_observers+-
739=do_not_reverse_lookup|do_not_reverse_lookup+-
740=do_not_reverse_lookup=|do_not_reverse_lookup=+-
741=escapeElement|escapeElement+-
742=escapeHTML|escapeHTML+-
743=file_field|file_field+-
744=form|form+-
745=for_fd|for_fd+-
746=getaddress|getaddress+-
747=getaddrinfo|getaddrinfo+-
748=getbinaryfile|getbinaryfile+-
749=gethostbyaddr|gethostbyaddr+-
750=gethostbyname|gethostbyname+-
751=gethostname|gethostname+-
752=getnameinfo|getnameinfo+-
753=getservbyname|getservbyname+-
754=getpeername|getpeername+-
755=getsockname|getsockname+-
756=getsockopt|getsockopt+-
757=gettextfile|gettextfile+-
758=head|head+-
759=header|header+-
760=hidden|hidden+-
761=html|html+-
762=img_button|img_button+-
763=invoke|invoke+-
764=lastresp|lastresp+-
765=listen|listen+-
766=local_path|local_path+-
767=login|login+-
768=lookup_order|lookup_order+-
769=lookup_order=|lookup_order=+-
770=mails|mails+-
771=message_loop|message_loop+-
772=multipart_form|multipart_form+-
773=notify_observers|notify_observers+-
774=on_event|on_event+-
775=original_filename|original_filename+-
776=pair|pair+-
777=params|params+-
778=parse|parse+-
779=passive|passive+-
780=passive=|passive=+-
781=password_field|password_field+-
782=peeraddr|peeraddr+-
783=popup_menu|popup_menu+-
784=port|port+-
785=post|post+-
786=pretty|pretty+-
787=putbinaryfile|putbinaryfile+-
788=puttextfile|puttextfile+-
789=radio_button|radio_button+-
790=radio_groupready|radio_groupready+-
791=recv|recv+-
792=recvfrom|recvfrom+-
793=reset|reset+-
794=resume|resume+-
795=resume=|resume=+-
796=retrbinary|retrbinary+-
797=retrlinew|retrlinew+-
798=return_code|return_code+-
799=rfc1123_date|rfc1123_date+-
800=scrolling_list|scrolling_list+-
801=sendmail|sendmail+-
802=setsockopt|setsockopt+-
803=shutdown|shutdown+-
804=socketpair|socketpair+-
805=storbinary|storbinary+-
806=storlines|storlines+-
807=submit|submit+-
808=telnetmode|telnetmode+-
809=telnetmode=|telnetmode=+-
810=text_field|text_field+-
811=textarea|textarea+-
812=uidl|uidl+-
813=unescape|unescape+-
814=unescapeElement|unescapeElement+-
815=unescapeHTML|unescapeHTML+-
816=waitfor|waitfor+-
817=welcome|welcome+-
818=Call|Call+-

[Comment]
1=<b>Syntax: Ruby</b> 
2=<b>Author: Jon Doud</b> 
3=<b>Version: 0.1</b> 
4=<b>Date: 2011-01-20</b> 
5=
6=<b>Recommended colors: color pattern is still being developed</b>
7=
8=This syntax set is based on the Ultraedit wordfile converted using the tool created by Wolfgang Stumvoll.
9=
10=It needs significant work, but it is a start.

[Sample]
1=#!/usr/bin/ruby
2=$KCODE = 'u'
3=require 'jcode'
4=
5=# read all directories in dir
6=Dir.entries(Dir.getwd).each do |dir|
7=  next if dir =~ /\./
8=  Dir.chdir(dir)
9=  puts "Entering #{dir} on " + Date.now
10=end
11=
12=/* start of another set of code for highlighting */
13=
14=module ApplicationHelper
15=
16=  require 'rubygems'
17=  require 'rdiscount'
18=
19=  def prettify(text, options = {})
20=    text_pieces = text.split(/(<c0de>|<c0de lang="[A-Za-z0-9_-]+">|
21=      <c0de lang='[A-Za-z0-9_-]+'>|<\/c0de>)/)
22=    in_pre = false
23=    language = nil
24=    text_pieces.collect do |piece|
25=      if piece =~ /^<c0de( lang=([])?(.*)\2)?>$/
26=        language = $3
27=        in_pre = true
28=        nil
29=      elsif piece == "</c0de>"
30=        in_pre = false
31=        language = nil
32=        nil
33=      elsif in_pre
34=        lang = language ? language : "ruby"
35=        code(piece.strip, :lang => lang)
36=      else
37=        markdown(piece, options)
38=      end
39=    end
40=  end
41=  
42=  def markdown(text, options = {})
43=    if options[:strip]
44=      RDiscount.new(strip_tags(text.strip)).to_html
45=    else
46=      RDiscount.new(text.strip).to_html
47=    end
48=  end
49=
50=/* 
51=* yet some more code
52=* to validate highlighting
53=*/
54=
55=class Echo < ActionMailer::Base
56= def copy formatted_message, incident_id
57=    users_with_echo_emails = User.find(:all, 
58=                                  :conditions => "echo_email is not NULL")
59=    users_with_echo_emails.reject! {|user| !user.receive_echo?}
60=    recipients_array = users_with_echo_emails.map { |user| user.echo_email }
61=    recipients_array << ENV['default_echo_email'] if ENV['default_echo_email']
62= 
63=    recipients recipients_array
64=    subject "Globex pager incident #{incident_id} updated"
65=    from 'noreply@globex.com'
66=    body :message => formatted_message, :incident_id => incident_id
67=  end
68=end

